<bugID>669603<Summary>large sessionStorage data causes session restore to block the UI</Summary><Description>Spin-off from bug 669034

Google's "instant" search seems to cause huge amounts of HTML to be stored in the sessionstore.js file.  Loading a fresh profile, closing the first-time mozilla.org tab, going to google.com and typing two words caused a 366K sessionstore.js file to be created.  In my 20MB 500 tab profile, ~10MB of it is just a couple of dozen google tabs or history items.  Each entry can range from 200K to &gt;600K.

Options: take this up with Google and see if they can not do this, or if they can't if they can flag to us what we really should save.  Or we could purposely not save it as a site-specific kludge.  Or we could refuse to save if over some large size.  Or we could add a new mechanism for a site to control what's saved.  Probably more as well.

Attachment 544215 is in bug 669034</Description></bugID>